cpw.mods.fml.common.discovery.asm

## Class ModClassVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - cpw.mods.fml.common.discovery.asm.ModClassVisitor

-     public class ModClassVisitor
      extends org.objectweb.asm.ClassVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.ClassVisitor

      `api, cv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModClassVisitor(ASMModParser discoverer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String annotationName, boolean runtimeVisible)`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassVisitor

      `visitAttribute, visitEnd, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModClassVisitor

          public ModClassVisitor(ASMModParser discoverer)

  - ### Method Detail

    - #### visit

          public void visit(int version,
                   int access,
                   java.lang.String name,
                   java.lang.String signature,
                   java.lang.String superName,
                   java.lang.String[] interfaces)

      Overrides:
        `visit` in class `org.objectweb.asm.ClassVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String annotationName,
                                                            boolean runtimeVisible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                  java.lang.String name,
                                                  java.lang.String desc,
                                                  java.lang.String signature,
                                                  java.lang.Object value)

      Overrides:
        `visitField` in class `org.objectweb.asm.ClassVisitor`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    java.lang.String name,
                                                    java.lang.String desc,
                                                    java.lang.String signature,
                                                    java.lang.String[] exceptions)

      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassVisitor`